zoneDetail API lets you access the zoning data of any location in the USA and Canada. You can search for zoning data using the Point and Polygon spatial elements.
You can search for the zoning data based on:
Point-Based Search technique that lets you get zoning information of a specific location by using the following parameters:
Polygon-Based Search technique that lets you get zoning information on an area whose boundaries are defined by using the following parameters:
This section describes the Point-Based search parameters of zoneDetail API.
A token needed to make API calls.
Latitude of the zone, for example lat= 42.09811892122124.
Longitude of the zone, for example lng= - 79.24026489257814.
A valid address of the zone, for example 560 Pelham dale Ave Pelham, NY 10803 USA.
This parameter is optional and can have any of the below-mentioned values:
| Value | Description |
|---|---|
| True | All PLU (Permitted Land Use) values except for ‘as_of_right’, will be grouped in a single attribute called ‘conditional_uses |
| False | All PLU (Permitted Land Use) values will be presented as separate attributes. |
This parameter is optional and can have any of these values:
| Value | Description |
|---|---|
| default | If no value is passed for the output_fields param, API would return basic zone details only. You can pass this value in API as: output_fields=default |
| plu | API would return zone details along with Permitted Land Use Information, if available.You can pass this value in API as: output_fields=plu |
| plu-tags | returns the list of land use classes along with their subclasses. You can pass this value in API as: output_fields=plu-tags |
| controls | returns the controls data for the zone.You can pass this value in API as: output_fields=controls |
| geom | if passed to the API then returns the boundary for the area intersecting with the location passed to the API using address or lat/lng parameters. You can pass this value in API as: output_fields=geom |
| parcels | returns information of the parcels.You can pass this value in API as: output_fields=parcels |
replace_STF is a boolean type query parameter that can have a True or False value.
| Value | Description |
|---|---|
| True | When set to "‘true’" it lets you view the actual values of the building controls parameters instead of the "‘STF’" value for control data item. |
| False | If it is set to "‘false’" then "‘STF’" text is returned for controls data items. |
Indicates whether the request was successful or not
The link field contains the URL that corresponds to the resource or endpoint you requested. It provides a direct link to the requested resource, enabling you to quickly access or reference the specific location related to their request within the API.
This returns a JSON object with all the data sets grouped under keys defined below. The response could vary depending on the output_fields param
| Data Group | Response Item | Description | Type |
|---|---|---|---|
Meta | city_id | Unique ID for a city. | number |
city_name | Name of the city. | string | |
last_updated | Indicates the date when the zoning data was last updated in the Zoneomics data repository. | date | |
Zone Details | zone_code | The zone code of the area. | string |
zone_name | The name of the zone. | string | |
zone_type | Type of zone for example residential, commercial etc. | string | |
zone_sub_type | This field is the further classification of zone_type, for example single family residence etc. | string | |
zone_guide | This field lets you know about the purpose of the zone. For example: The purpose and intent of the residential single-family districts is to provide for low-density single-family residential development in the City of South Pasadena. | string | |
link | This field contains a web link where you can get more information on zone codes. | string | |
lat | Latitude of the zone. | number | |
lng | Longitude of the zone. | number | |
PLU Data | as_of_right | List of land uses and activities that are permitted within the zone as of right. | array |
conditional_uses | List of land uses and activities that are permitted within the zone with a conditional use permit. | array | |
prohibited | List of land uses that refer to activities, businesses, or purposes that are explicitly not allowed within a specific area or zone according to zoning laws. "(Note: Its data is only available in cities that explicitly publish prohibited uses)" | string | |
Controls Data | standard | This object contains standardized attributes that are represented by a single numeric value. For example, max_height_ft. | string |
non-standard | This object contains attributes that could have long numeric descriptive string values. The attribute names under this object will be exactly same as used by the city. For example, minimum_lot_area_sq_feet. | string | |
Parcels "(available for Enterprise users only.)" | lat | Latitude of the parcel. | number |
lng | Longitude of the parcel. | number | |
apn | ID of the parcel. | number | |
address | Address of the parcel. | string | |
land_use | Contains the permitted land use of the parcel. For example, Commercial, Religious. | string | |
owner_info | Displays the parcel owner's information, including the owner's name and address. | object | |
area | Area covered by the parcel. The area covered by the parcel is displayed in square yards. | number | |
area_unit | Specifies the unit of measurement "(sq.yds)" used to express the area value of the parcel. | string |
Find all the usecases for the api below
https://api.zoneomics.com/v2/zoneDetail?api_key=<api_key>&lat=25.7616798&lng=-80.1917902https://api.zoneomics.com/v2/zoneDetail?api_key=<api_key>&address=560 Pelham dale Ave Pelham, NY 10803 USAhttps://api.zoneomics.com/v2/zoneDetail?api_key=<Your API Key>&address=560 Pelham dale Ave Pelham, NY 10803 USA&output_fields=plu,plu-tags,parcels,controlshttps://api.zoneomics.com/v2/zoneDetail?api_key=<api_key>&lat=25.7616798&lng=-80.1917902&output_fields=geomTalk to our team about API access, data coverage, pricing, and the best Zoneomics API package for your use case.
zoneDetail API lets you access the zoning data of any location in the USA and Canada. You can search for zoning data using the Point and Polygon spatial elements.
You can search for the zoning data based on:
Point-Based Search technique that lets you get zoning information of a specific location by using the following parameters:
Polygon-Based Search technique that lets you get zoning information on an area whose boundaries are defined by using the following parameters:
This section describes the Point-Based search parameters of zoneDetail API.
A token needed to make API calls.
Latitude of the zone, for example lat= 42.09811892122124.
Longitude of the zone, for example lng= - 79.24026489257814.
A valid address of the zone, for example 560 Pelham dale Ave Pelham, NY 10803 USA.
This parameter is optional and can have any of the below-mentioned values:
| Value | Description |
|---|---|
| True | All PLU (Permitted Land Use) values except for ‘as_of_right’, will be grouped in a single attribute called ‘conditional_uses |
| False | All PLU (Permitted Land Use) values will be presented as separate attributes. |
This parameter is optional and can have any of these values:
| Value | Description |
|---|---|
| default | If no value is passed for the output_fields param, API would return basic zone details only. You can pass this value in API as: output_fields=default |
| plu | API would return zone details along with Permitted Land Use Information, if available.You can pass this value in API as: output_fields=plu |
| plu-tags | returns the list of land use classes along with their subclasses. You can pass this value in API as: output_fields=plu-tags |
| controls | returns the controls data for the zone.You can pass this value in API as: output_fields=controls |
| geom | if passed to the API then returns the boundary for the area intersecting with the location passed to the API using address or lat/lng parameters. You can pass this value in API as: output_fields=geom |
| parcels | returns information of the parcels.You can pass this value in API as: output_fields=parcels |
replace_STF is a boolean type query parameter that can have a True or False value.
| Value | Description |
|---|---|
| True | When set to "‘true’" it lets you view the actual values of the building controls parameters instead of the "‘STF’" value for control data item. |
| False | If it is set to "‘false’" then "‘STF’" text is returned for controls data items. |
Indicates whether the request was successful or not
The link field contains the URL that corresponds to the resource or endpoint you requested. It provides a direct link to the requested resource, enabling you to quickly access or reference the specific location related to their request within the API.
This returns a JSON object with all the data sets grouped under keys defined below. The response could vary depending on the output_fields param
| Data Group | Response Item | Description | Type |
|---|---|---|---|
Meta | city_id | Unique ID for a city. | number |
city_name | Name of the city. | string | |
last_updated | Indicates the date when the zoning data was last updated in the Zoneomics data repository. | date | |
Zone Details | zone_code | The zone code of the area. | string |
zone_name | The name of the zone. | string | |
zone_type | Type of zone for example residential, commercial etc. | string | |
zone_sub_type | This field is the further classification of zone_type, for example single family residence etc. | string | |
zone_guide | This field lets you know about the purpose of the zone. For example: The purpose and intent of the residential single-family districts is to provide for low-density single-family residential development in the City of South Pasadena. | string | |
link | This field contains a web link where you can get more information on zone codes. | string | |
lat | Latitude of the zone. | number | |
lng | Longitude of the zone. | number | |
PLU Data | as_of_right | List of land uses and activities that are permitted within the zone as of right. | array |
conditional_uses | List of land uses and activities that are permitted within the zone with a conditional use permit. | array | |
prohibited | List of land uses that refer to activities, businesses, or purposes that are explicitly not allowed within a specific area or zone according to zoning laws. "(Note: Its data is only available in cities that explicitly publish prohibited uses)" | string | |
Controls Data | standard | This object contains standardized attributes that are represented by a single numeric value. For example, max_height_ft. | string |
non-standard | This object contains attributes that could have long numeric descriptive string values. The attribute names under this object will be exactly same as used by the city. For example, minimum_lot_area_sq_feet. | string | |
Parcels "(available for Enterprise users only.)" | lat | Latitude of the parcel. | number |
lng | Longitude of the parcel. | number | |
apn | ID of the parcel. | number | |
address | Address of the parcel. | string | |
land_use | Contains the permitted land use of the parcel. For example, Commercial, Religious. | string | |
owner_info | Displays the parcel owner's information, including the owner's name and address. | object | |
area | Area covered by the parcel. The area covered by the parcel is displayed in square yards. | number | |
area_unit | Specifies the unit of measurement "(sq.yds)" used to express the area value of the parcel. | string |
Find all the usecases for the api below
https://api.zoneomics.com/v2/zoneDetail?api_key=<api_key>&lat=25.7616798&lng=-80.1917902https://api.zoneomics.com/v2/zoneDetail?api_key=<api_key>&address=560 Pelham dale Ave Pelham, NY 10803 USAhttps://api.zoneomics.com/v2/zoneDetail?api_key=<Your API Key>&address=560 Pelham dale Ave Pelham, NY 10803 USA&output_fields=plu,plu-tags,parcels,controlshttps://api.zoneomics.com/v2/zoneDetail?api_key=<api_key>&lat=25.7616798&lng=-80.1917902&output_fields=geomTalk to our team about API access, data coverage, pricing, and the best Zoneomics API package for your use case.